org.apache.sling.hc.samples.impl

## Class AsyncHealthCheckSample

- java.lang.Object
- - org.apache.sling.hc.samples.impl.AsyncHealthCheckSample

All Implemented Interfaces:
  org.apache.sling.hc.api.HealthCheck

    @Service
    public class AsyncHealthCheckSample
    extends Object
    implements org.apache.sling.hc.api.HealthCheck

Sample Health Check that uses a cron expression to schedule regular async execution.

### Field Summary

Fields
`static int` `PERIOD_SECONDS`

### Fields inherited from interface org.apache.sling.hc.api.HealthCheck

`ASYNC_CRON_EXPRESSION, MBEAN_NAME, NAME, TAGS`

### Constructor Summary

Constructors
Constructor and Description
`AsyncHealthCheckSample()`

### Method Summary

Methods
`org.apache.sling.hc.api.Result` `execute()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PERIOD_SECONDS

    public static final int PERIOD_SECONDS

See Also:
  Constant Field Values

### Constructor Detail

#### AsyncHealthCheckSample

    public AsyncHealthCheckSample()

### Method Detail

#### execute

    public org.apache.sling.hc.api.Result execute()

Specified by:
  `execute` in interface `org.apache.sling.hc.api.HealthCheck`